# Yahoo! UI Library

### yuitest 2.9.0

Yahoo! UI Library > yuitest > YAHOO.util.DateAssert
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class YAHOO.util.DateAssert

The DateAssert object provides functions to test JavaScript Date objects for a variety of cases.

### Methods

#### datesAreEqual

`static void datesAreEqual ( expected , actual , message )`
Asserts that a date's month, day, and year are equal to another date's.

Parameters:
  `expected <Date>` The expected date.
  `actual <Date>` The actual date to test.
  `message <String>` (Optional) The message to display if the assertion fails.

#### timesAreEqual

`static void timesAreEqual ( expected , actual , message )`
Asserts that a date's hour, minutes, and seconds are equal to another date's.

Parameters:
  `expected <Date>` The expected date.
  `actual <Date>` The actual date to test.
  `message <String>` (Optional) The message to display if the assertion fails.

Copyright © 2011 Yahoo! Inc. All rights reserved.